package main

import (
	"net/http"

	"github.com/gin-contrib/cors"
	"github.com/gin-gonic/gin"
)

func main() {
	r := gin.Default()
	r.LoadHTMLGlob("templates/*")

	corsConfig := cors.DefaultConfig()
	corsConfig.AllowOrigins = []string{"*"}
	corsConfig.AllowHeaders = []string{"hx-current-url", "hx-request"}
	r.Use(cors.New(corsConfig))

	r.GET("/forms/emoji", func(c *gin.Context) {
		c.HTML(http.StatusOK, "emoji_form.tmpl", gin.H{})
	})

	r.POST("/forms/emoji/post", func(c *gin.Context) {
		c.HTML(http.StatusOK, "emoji_form.tmpl", gin.H{})
	})

	r.Run(":8000")
}
